Skip to content

updateIssueTaskStatus

WRITE

Update issue task status.

POST /api/v1/quality/updateIssueTaskStatus
curl -X POST '<your-host>/api/v1/quality/updateIssueTaskStatus' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string",
    "status": "Pending",
    "type": "investigation"
  }'
Response
{
  "nonConformanceId": "string"
}

Parameters

ParameterType
"Pending""Completed""Skipped""In Progress"
"investigation""action""approval""review"

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "status": {
      "type": "string",
      "enum": [
        "Pending",
        "Completed",
        "Skipped",
        "In Progress"
      ]
    },
    "type": {
      "type": "string",
      "enum": [
        "investigation",
        "action",
        "approval",
        "review"
      ]
    },
    "assignee": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "id",
    "status",
    "type"
  ]
}